Отключение административных API Google Apps 20 апреля 2015 | Swedbyte
info@swedbyte.se
+46 8 446 80 363

Отключение административных API Google Apps 20 апреля 2015

На случай если IT-специалисты случайно упустили это из виду, мы хотели бы напомнить, что 20 апреля 2015 Google прекратит доступ к своим устаревшим API администрирования Google Apps.

При работе в Google Apps вам доступны множество API. В том числе специальные административные API, позволяющие администраторам интегрировать сервисы Google Apps с используемой IT-инфраструктурой, также разрабатывать приложения для миграции данных, для управления вашим доменом в Google Apps, пользователями или настройками.

Год за годом Google обновляет API, добавляя новый функционал, и периодически выводит из обслуживания устаревшие версии API.

Так, 20 апреля 2015 прекратят принимать вызовы устаревшие административные API. Поэтому, если у вас были разработаны какие-то решения для вашего домена с использованием данных API, вам необходимо будет мигрировать на новые API в соответствии с таблицей, представленной ниже. При необходимости специалисты Сведбайт смогут помочь вам в этом.

Отключаемый API Новый API
Admin Audit API Admin SDK Reports API
Documents List API Drive API
Google Apps Profiles Admin SDK Directory API
Provisioning API Admin SDK Directory API
Reporting API Admin SDK Reports API
Email Migration API v1 Gmail API*
Reporting Visualization  Нет

При миграции ваших решений на новый API, также рекомендуется заодно начать использовать для авторизации протокол OAuth 2.0, если этого еще не сделано. Так как такие протоколы как ClientLogin, AuthSub и OpenID 2.0 также будут отключены 20 апреля 2015.

Здесь вы найдете сравнение функций устаревших API администрирования и пришедших им на смену API из Admin SDK.

* Ранее Google рекомендовал миграцию с Email Migration API v1 на Email Migration API v2. Но после анонсирования Gmail API рекомендуется переходить и с v1 и с v2 на Gmail API, так как на 1 ноября 2015 уже запланировано отключение Email Migration API v2. Инструкция по переходу с Email Migration API доступна здесь.

Кроме того: обновите GADS, GAPS и GAMME до 20.04.2015! 

Если вы используете в своей работе:

  • Google Apps Directory Sync (GADS) для синхронизации Google Apps с вашей службой каталогов;
  • Google Apps Password Sync (GAPS) для синхронизации паролей пользователей с Active Directory;
  • Google Apps Migration for Microsoft Exchange (GAMME) для миграции данных в Google Apps с Exchange или IMAP сервера,

то вам необходимо обновить эти приложения до последних версий, так как они также переходят на работу с Admin SDK. Предыдущие версии приложений перестанут функционировать 20 апреля 2015, так как они работают с вызовами к отключаемым API.

GADS нужно обновить до версии 4.0.3 (release notesскачать здесь), GAPS до 1.3 (release notesскачать здесь), а GAMME до 4.1 (release notesскачать здесь).

Если вам понадобится помощь в миграции или разработке решений с использованием новых API, Сведбайт будет рад помочь вам!

Comments are closed.